/*Formatação Bara de Navegação*/
*{
  font-family: "Roboto", sans-serif !important;
}
.fa{
  font-family: FontAwesome !important;
}
div#bara_navegacao {
  padding-inline: 10px;
  border-bottom: solid 1px var(--alf_gray);
  background-color: #fff;

  nav {
    justify-content: space-between;

    ul {
      justify-content: center;
      margin: unset;
      padding: unset;
      list-style-type: none;
      flex: 1;

      li {

        a {
          height: 100%;
          border-radius: 5pc;
          padding-inline: calc(5px + 3vmin);
          font-weight: 600;
          color: white;
          background-color: var(--red-doby);

          svg {
            width: 30px;
            height: 30px;
          }
        }
      }
    }

  }
}

#bara_navegacao nav {
  height: 36px;
}

 header {
  z-index: 1;
  position: relative;
}

.x-nav a {
  color: #030303;
  border-bottom: solid 2px #ffffff00;
  padding: 5px;
  font-weight: 600;
}

.x-nav a:hover,.nav_control.active {
  border-bottom: solid 2px var(--active_blue);
}

.x-nav {
  border-bottom: solid 1px var(--select_hover_color);
  margin-bottom: 10px !important;
}

main {
  padding-top: 20px;
}

.header-top {
  column-gap: var(--min-size5);
  flex-wrap: wrap;
  gap: 20px;
}

.right_div {
  gap: 10px;
  justify-content: flex-end;
  max-width: fit-content;

  svg {
    width: 25px;
    height: 25px;
  }
}

.logotyp {
  justify-content: flex-start;
  max-width: fit-content;
}

.logotyp,
.right_div,
.div_search0 {
  flex: 1;
}

.logotyp,
.right_div {
  flex-grow: 1;
}
.right_div {
  flex-grow: 1;
  margin-left: auto;
}
.div_search0 {
  flex-grow: 2;
}

.logo_img {
  height: 35px;
  width: 88px;
  /* margin-left: calc(10px + 5vw); */

}


/*Formatação da Svg utilizador*/
img#user_svg {
  width: 32px;
}


.messege {
  display: flex;
  align-items: center;
  height: auto;
}

/*Formatação da Svg menu*/

.messege svg,
.svg_status_session {
  outline: unset;
  border: unset;

}

/* .btn {
  padding: 0px !important;
}
 */
.nav_icon {
  display: flex;
  align-items: center;
}

.btn_navbar {
  background-color: unset;
  border-radius: 10pc;
  padding: 5px;
  display: flex;
  display: flex;
  align-items: center;

}

.btn_navbar:hover {
  background-color: var(--button_hover);
}


.svg_message_text {
  font-size: 8px;
  stroke: white;
  stroke-width: 0.5em;
  fill: red;
  paint-order: stroke;
}




.legend_component {
  font-size: small;
  font-weight: 700;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
  font-size: 15px;
}

.button_error_report {
  width: fit-content;
  padding-inline: 15px;
  border-radius: 20px;
}

.button_deficoes_de_conta {
  font-size: small;
  border: none !important;
  outline: none;
  background-color: unset;
  border-radius: 5px;
  padding-block: 5px;
  width: 100%;
  display: flex;
  justify-content: start;
  align-items: center;
  color: #202124;
  direction: ltr;
  font-weight: 600;
}

.button_deficoes_de_conta:hover {
  background-color: var(--button_hover);

}

span#span_show_email {
  width: 60%;
  overflow: hidden;
  text-overflow: ellipsis !important;
  align-self: center;
  font-size: small;
  font-weight: 800 !important;
}

.offcanvas-body {
  overflow-y: scroll;
  overflow-x: scroll;
}

.div_deficoes_de_conta {
  display: flex !important;
  justify-content: start;

  svg {
    margin-right: 5px;
  }
}


/*Formatação de esquerda ///////////////////////////////////////////////////////////////////////////////*/
.left_div {
  padding-top: 15px;
  padding-bottom: 10px;
  text-align: start;
  width: fit-content;
  flex-direction: column;
  position: fixed !important;
  top: 70px;
  bottom: 0.5vh;
  left: 0px;
  right: 0px;
}

.list_categoria {
  white-space: nowrap;
  height: auto;
}

.svg1 {
  width: 30px;
  height: 30px;
}

.str_svg {
  font-size: 15px;
  color: #01292b;
  padding-inline: 5px;
  gap: 8px;
  border: none;
  box-shadow: none !important;
}


.div_pswd {
  width: 100%;
}

.template_main #select_region_add,.iconed-select-region{
  width: 100%;
  background-image: url("data:image/png;base64,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");
  background-repeat: no-repeat;
  background-size: 30px;
  background-position: left;
  padding-left: 30px !important;
}
/*Opacity bottton hover*/

.str_svg:hover {
  color: #01292b;
  background-color: #c5c5c5;
}

.wait_explorer_path {
  transform: margin-right(10px);
}


.svg_div .active svg path,
.svg_div .active svg {
  fill: #fff;
}

.link_categoria .svg1,
.link_categoria .svg1 path {
  fill: #485059;
}

.svg_div .active {
  background-color: var(--svg_nav_color) !important;
}


.tooltip.show {
  opacity: 0;
}



/*Formatação da Div central*/
.central_div {
  margin-inline: auto;
  display: flex;
  justify-content: center;
  flex-direction: column;
  width: 80%;
}

.close_notificacion {
  border: none;
  background-color: inherit;
  align-items: center;

}

.svg_close {
  align-self: center;
  box-sizing: border-box;
  margin-bottom: 2px;
}

.div_first_title {
  height: 30px;
  border-bottom: 2px solid;
  border-image-slice: 1;
  border-width: 2px;
  border-image-source: linear-gradient(to bottom, #ccffff 0%, #ffffff 73%);
}

.first_title {
  font-size: 18px;
  margin: 0px !important;
  text-align: center;
}

.btn_refresh_filtro_search {
  width: fit-content;
  border: none;
  background-color: unset;
  border-radius: 5px;
  margin: auto;
  padding-inline: 5px;
}


.subc_add_producy {
  margin-top: 155px !important;
  margin-left: 10px;
}


.subc_update_product {
  margin-top: -48px !important;
  margin-left: 5px;
}


.btn_refresh_filtro_search:hover {
  background-color: #d9dfdf !important;
}



.btn-close {
  height: 7px;
  width: 7px;
  padding-top: 20px;
  width: 10px;
}


/*Formatação do menu*/
.menu_div {
  box-sizing: border-box;
  margin: 70px 0px 10px 0;
  padding: 0px;
  border-radius: 10px 0px 0px 10px;
}

.div_show_usr {
  display: flex !important;
  justify-content: space-between;
}

.link_perfil {
  color: #030303 !important;
  justify-content: start;
  align-items: center;
  border-radius: 10px;
  padding: 5px;
  width: fit-content;
  min-height: fit-content;


}

.link_perfil:hover {
  background-color: #d6d3d3;
}


/* Formatação da caixa de pesquisa
##########################################################################################################*/

.div_search0 {
  display: flex;
  justify-content: center;
}

.search_div {
  margin: auto;
  width: fit-content;
}

.search_div_content {
  border: 1px solid var(--alf_gray);
  border-radius: 2pc;
  background-color: white;
  padding-inline: calc(5px+1vmin) !important;
  padding-block: 2px;
}

#search_button_id {
  border: none;
  background-color: unset;
  padding: 5px;
}

.search {
  border: unset;
  box-sizing: border-box;
  outline: none;
  padding-inline: 10px;
  width: 100%;
  font-size: 16px;
  font-weight: normal;
  height: 35px;
}

.search:focus {
  background-color: var(--background_color) !important;
  border-radius: 15px !important;
}

.search::placeholder {
  font-size: medium !important;
}

.img_contact_notifie {
  width: 25px;
  height: 25px;
  border-radius: 20pc;
}

#livesearch {
  box-sizing: border-box;
  position: absolute !important;
  display: none;
  font-size: 15px;
  width: 100% !important;
  z-index: 12;
  background-color: white;
  padding-top: 0px !important;
  padding: 10px;
  overflow-y: scroll;
  border-top: none !important;
  max-height: 500px   ;
}
#next_button {
  position: absolute;
  margin-left: 140px;

}

#prev_button {
  position: absolute;
  margin-right: 140px;
}

.data_text_offset {
  font-size: 18px;
}

.img_livesearch {
  width: 20px;
  height: 25px;
  align-items: stretch;
  cursor: pointer;
  object-fit: cover;
}

.img_livesearch:hover {
  box-shadow: 0px 0px 5px -1px black;
}

.sugest {
  white-space: nowrap;
  cursor: pointer;
  padding-inline: 5px;
  overflow: hidden !important;
  text-overflow: ellipsis !important;
  margin-inline: 4px;
  width: 100%;
  text-align: start;

}

.sugest:hover {
  padding-inline: 5px;
  border-radius: 5px;
}

/* Formatação da div_conteudos categoria */
main {
  margin-bottom: 61px;
}

/*formatação string categoria*/
.str_categoria {
  font-weight: 800;
}

/*Formatação de Links*/
a {
  text-decoration: none;
}

/*Formatação do Body*/
body {
  background-color: #e6e8f0;
}

/*Formatção da Div principal*/
.principal_div {
  background-color: #e6e8f0;
}

/*Manipulação do madal de inicio de cessão
##########################################################################################################*/
.modal-content {
  background-color: rgb(255, 255, 255);
  border-radius: 30px;
}

.icone_doby_div {
  background: #f1f7f6;
  border-radius: 1000px;
  padding: 5px;
  text-align: center;
  margin-right: 60px;
}

div#form_check_id {
  margin-top: 50px;
}

div#alternativa {
  font-weight: 800;
}

h4#tilulo_modal {
  font-weight: 600;
  font-size: medium;
}

.btn_conta {
  padding-inline: 30% !important;
  padding-block: 2% !important;
  border-radius: 30px !important;
  font-weight: 600;
  text-align: center;
}

/*Formatação do libel para imput*/

a#link_recuperacao {
  font-weight: 600;
  font-size: small;
}


/*modal*/
.form-control {
  box-sizing: border-box;
  width: 100% !important;
  margin: 0px auto;
}


.option_login_cadastrar.active {
  background-color: #1ff4ff !important;
}

.detail_password {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}


.inline_scroll_swipe {
  .pack_anuncy {
    min-width: 250px;
  }
}
.modal-title {
  font-size: 20px;
  font-weight: 600;
  color: #01292b !important;
}

.modal-div {
  padding-inline: 10px;
}

.div_btn_concluir {
  display: flex;
  justify-content: center;
  padding-top: 10px !important;
}





/*Manipulação do modal de inicio de cessão
##########################################################################################################*/
.grid_container,.body_box_user_favorits {
  min-width: 100%;
  display: flex;
  flex-wrap: wrap;
  margin-left: -4px;
  margin-right: -4px;
  width: auto;
  .pack_anuncy {
    padding: 4px !important;
  }
}

.div_not_found,
.div_not_found_page {
  background-repeat: no-repeat;
  background-position: center;
}

.div_not_found {
  background-image: url("../svg/not_found.svg");
  height: 40vh;
  width: 100%;
}

.div_not_found_page {
  background-image: url("../svg/not_found_page.svg");
  margin: auto;
  align-self: center;
  height: 50vh;
  background-size: 300px;
}

.flex-container {
  display: flex;
  flex-wrap: wrap;
  font-size: 21px;
  text-align: center;
  justify-content: space-around;
}

.flex-item-left {
  display: flex;
  justify-content: start;
  flex-wrap: wrap;
}

.flex-item-right {
  display: flex;
  justify-content: end;
  flex-wrap: wrap;

}

.btx {
  justify-content: space-around;
  display: flex;
}

.scroll-container {
  overflow: scroll;
  scroll-behavior: smooth;
  height: px;
  padding: 5px;

}

.scroll-page {

  align-items: start;

}

.like_button {
  border: none;
  position: relative;
  background-color: unset;
  right: 0;
  width: 30px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.like_button:hover {
  fill: var(--svg_nav_color);

  path {
    fill: var(--svg_nav_color);
    stroke: var(--svg_nav_color);
  }
}

.like_button[liked="true"] {
  svg {
    fill: var(--svg_nav_color);

    path {
      fill: var(--svg_nav_color);
      stroke: var(--svg_nav_color);
    }
  }
}

/*Formatação pagina addanuncy
    ######################################################################################################
    ######################################################################################################
    #######################################################################################################
    */

.addfile_div {
  margin: auto;
  background-color: #f1f7f6;
  overflow-y: scroll;
  overflow-x: hidden;
  flex-wrap: nowrap;
  width: 50%;
}

#id_form_addprod {
  width: 100%;
}

#id_preco_anuncio {
  width: 100%;
}



/*Formatar imput add*/
input[type=file] {
  opacity: 0 !important;
  position: absolute !important;
  cursor: pointer;
  width: 100%;
  height: 100%;
}

/*Formatação do quadrado da imagem*/
.imgadd {
  width: 100%;
  height: 100%;
  object-fit: cover !important;
}

.div_img_add {
  background-color: #fff !important;

}

/*Format çlabel div_add*/
.label_add {
  font-weight: 600;
  padding-bottom: 2px;
}

.anuncy-location-name{
  opacity: 0.7;
}
.div_add {
  margin-bottom: 10px;
  background-color: #ffffff !important;
  border-radius: 5px;
  padding-block: 10px;
}

.div_add1 {
  margin: 10px;
  /*   width: 100%;
 */
}

#id_div_add_image {
  display: flex !important;
  align-content: center;
  align-items: center;
  justify-content: center;
}


.id_mais_descricoes1 {
  width: fit-content;
}

.lbimg_charge {
  background-color: rgb(216, 230, 227);
  width: 25%;
  justify-content: center;
  display: flex;
  align-items: center;
  position: relative;
  margin-bottom: 10px;
  margin-inline: 5px;
  cursor: pointer;
  height: 140px;
  border: 1px #e6e1e1 solid !important;
}

div#id_div_button_opc_add {
  padding: 10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 5px;
}


button#id_button_publicar {
  background-color: #00c3ff;
  border: 4px solid #00c3ff;
}

.btn_option_add_product {
  width: 50%;
}

button#id_button_publicar:hover {
  background-color: white;
}


button#id_button_cancelar {
  background-color: #d1d1d0;
  border: 4px solid #d1d1d0;
}

button#id_button_cancelar:hover {
  background-color: #ffffff;
  border: 4px solid #d1d1d0;
}

.back_button_arrow:hover {
  background-color: var(--half_dark_background1);
}

.back_button_arrow {
  width: 40px;
  margin-left: 5px;
  padding: 5px;
  height: 35px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: 50px;
  background-image: url("../svg/arrow_left.svg");
  background-color: unset;
  border: unset;
  border-radius: 5px;
  position: fixed;
  background-size: contain;
}

.button_publicar {
  border: none;
  border-radius: 5pc;
  font-size: small;
  height: fit-content;
  font-weight: 800;
}

.btn_decision {
  border: var(--fineborderbutton);
  padding-inline: 18px;
  border-radius: 2pc;
  font-size: small;
  margin-inline: 5px;
}

.btn_terminar {
  color: white;
  background-color: #25b125;
  border: solid 1px #25b125;
}

.btn_cancelar {
  color: white;
  background-color: #ee6264;
  border: 1px solid #ee6264;
}

.btn_decision:hover {
  background-color: white;
  color: #2e2e2e;
}

.div_localização_and_categoria {
  display: flex;
  flex-direction: column;
  grid-template-columns: auto auto auto;
  justify-content: space-around;
  grid-gap: 10px;
  width: 100%;
  align-items: center;
  align-items: baseline;
  .div_add2,

  select {
    width: 100% !important;
  }

}

div#id_div_localização {
  display: flex !important;
  justify-content: space-between !important;
  width: 100%;
}

.div_add2 input {
  padding-block: 5px;
  outline: none;
  border: 1px solid #dfdada;
}

.div_add2 {
  width: auto;
  display: flex;
  justify-content: center;
  flex-direction: column;
}

#id_mais_descricoes1 {
  width: 100%;
  margin-inline: 10px;
}

/* #more_info {
  display: flex !important;
  flex-wrap: nowrap !important;
  outline: none;
  resize: both !important;
  width: 100%;
  height: unset !important;
  min-height: 100px;
} */

#more_info:focus {
  background-color: #e2dcdc;

}


/*Formatação input informação de produto*/
.input_info
{  
  font-size: small;
  width: 100%;
  outline: none;
  border-radius: 4px;
  border: var(--fine_border_div);
  padding-inline: 5px;
}
input.input_info,select.input_info,div.input_info{
  height: 60px;
}


.div_image_add1 {
  width: 100%;
}





.div_info_add {
  border-bottom: #01292b solid 2px;

}



/*Formatação do footer
###########################################################################################################

##########################################################################################################*/

footer#id_footer {
  display: flex;
  background-color: var(--half_dark_background1);
  justify-content: center;
  width: 100%;
  height: 100%;
  min-height: 50px;
  font-weight: 500;
}


.text_footer {
  font-family: monospace;
}

.div_footer1 {
  display: flex;
  margin-top: 5px;
  justify-content: space-between;

}

.footer_fixed_botton {
  position: fixed;
  bottom: 0px;
  float: left;
  width: 100%;
}

.footer-nav {
  column-gap: 15px;

  a {
    display: flex;
    color: var(--bs-body-color);
  }
}

/*Formatação  da pag recente
#############################################################################################################

#############################################################################################################

*/
.produto_completo {
  display: flex !important;
  justify-content: center;
  background-color: #fff !important;
  width: 100%;
  box-sizing: border-box;
  font-size: small;
}

.itens_recentes {
  display: flex !important;
  justify-content: center !important;

}

.div_imagem_anuncio {

  flex-direction: row;
  align-items: end;
  justify-content: center;
  height: 250px;
  display: flex;
  align-items: stretch;
}

.imagem_anuncio {
  max-height: 100%;
  object-fit: cover;
}

.div_info_anuncio {
  position: relative;
  display: flex !important;
  flex-direction: column;
  text-align: start;
  padding: 10px;
}

.row {
  display: flex !important;
  justify-content: center !important;
}


.produto_completo:hover {
  box-shadow: var(--box_shadow);
}

.div_preco0 {
  font-weight: 700;
  display: flex;
  justify-content: space-between;
}

/* Div terciaria de sugestão de anúncios*/


.titulo_sugest {
  margin-left: 4px;
  font-size: small;
}

.div_imagem_sugest {
  width: 100%;
}

.imagem_sugest {
  width: 150px;
  height: 170px;
  object-fit: scale-down;
}

#img_user_menu_session {
  width: 3vw;
  height: 3vw;
  border-radius: 30pc;
  min-width: 30px;
  min-height: 30px;
  object-fit: cover;
  margin-right: 5px;
}

.body_filtros {
  flex-direction: row !important;
  align-items: stretch;
  flex-wrap: wrap;
}

.div_input_filtro {
  flex: 1;
}

.div_i_filter {
  flex: 1;

  input {
    height: 100%;
  }
}

#global_search {
  flex: 1;
}

.filtros0 {
  z-index: 10 !important;
  width: 100%;
  margin-top: 8px;
  max-width: unset !important;
  display: flex;
  flex-wrap: wrap;
  align-self: center;
  margin-inline: auto;
  background-color: white;
  padding: 15px;
  border-radius: 5px;
  padding-top: 10px !important;
  display: none;
  position: absolute;
  left: 0;
  right: 0;
  border-bottom: var(--fineborderbutton);
  border-color: var(--alf_gray);
}

.btn_slide_filter {
  width: 25px;
  padding: 0px !important;
  height: 20px;
  display: flex;
  align-items: center;
  border: none;
  justify-content: center;
  rotate: -90deg;
  background-color: unset;
}


.body_filtros {
  flex-wrap: wrap;
  gap: 10px;
}

.div_title_filtos {
  margin-inline: auto;
  display: flex;

}

.small_small12 {
  font-size: 12px;
  display: flex;
  align-items: center;
  white-space: pre;
  overflow: hidden;
  text-overflow: ellipsis;

}

.small_small10 {
  font-size: 10px;
}

.small_small14 {
  font-size: 14px;
}

.div_input_filtro {
  display: flex;
  flex-direction: column;
  row-gap: 5px;
}


/* Form data format ????????????????????????????????????????????????????????
?????????????????????????????????????????????????????????????????????????*/
.erro_form {
  color: var(--red-doby);
}

.pack_location_option {
  display: flex;
  flex-direction: row;
  line-height: 24px;
  margin-block: 5px;
  padding: 6px;
  border-radius: 5px;
  cursor: pointer;
  justify-content: space-between;
  align-items: center;
}

.pack_location_option1 {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.locat_name {
  svg {
    position: relative;
    width: 20px;
    height: 20px;
    margin-right: 5px;
  }
}

.pack_location_option:hover {

  background-color: var(--select_hover_color);
}

.span_nome_pack_location_more {
  font-weight: 600;
}

.pack_location_more {
  display: grid;
  grid-template-columns: 40% 40% 20%;
  justify-content: space-around;

  small {
    font-size: 12px;

  }

  .small_concelho_pack_location_more {
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .small_district_pack_location_more {
    display: flex;
    justify-content: start;
  }
}

.input_find_location {
  display: block;
  margin: auto;
  width: 100%;
  margin-top: 10PX;
  padding-block: 10px;
  border-radius: 5px;
}

.div_input_find_location {
  width: 100%;
}

.input_find_location:hover,
.input_find_location:focus {
  background-color: #f1eeea;
  outline: unset;
}

.pack_not_foundauto_complet {
  margin-block: 10px;
  background-color: var(--half_dark_background);
}

.map_box {
  display: flex;
  justify-content: center;

  #map {
    width: 100%;
    height: 200px;
    border-radius: 5px;
    margin-top: 10px;
    z-index: 0;
  }
}

.box_location_datalist {
  position: absolute;
  font-size: 15px;
  text-align: start;
  margin-left: -4px;
  background-color: white;
  box-shadow: 0px 6px 5px 0px;
  padding-bottom: 5px;
  box-shadow: var(--box_shadow);
  padding-inline: 5px;
  border-radius: 5px;
  width: 370px;

  input {
    padding: 10px;
    margin-bottom: 5px;
  }

  datalist {
    max-height: 300px;
    overflow: auto;
    background-color: var(--half_dark_background1);
    padding-inline: 5px;
    border-radius: 5px;
    width: 100%;
    min-width: 300px;
    scrollbar-width: thin;
    padding-right: 10px;

    datalist {
      background-color: var(--half_dark_background) !important;

      datalist {
        background-color: var(--half_dark_background) !important;
      }
    }
  }
}



.pack_location_option.selected::after {
  content: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAACXBIWXMAAAsTAAALEwEAmpwYAAAAcklEQVR4nO2TQQrAIAwE5xUq/aJ9bqntayyFHIoVtBgvJQPezJrdRDCMDwQgzhRPQAZWbXEPbCJ+AIuJD8cSZWg9A02Nuy/WRmEYEb9xD+tnYV1tW2qPeO1VLKNII7H0OMkzPhHS7S5HrfOaEzdL3PgBF8KgLcE52MzvAAAAAElFTkSuQmCC");
  display: flex;
  position: relative;
  align-self: self-end;
  position: absolute;
  align-self: self-end;
  right: 0;
  top: 0;
}
.pack_location_option.selected + datalist,datalist:has(.pack_location_option.selected){
  display: block !important;
}

.box_location_datalist {
  legend {
    padding-block: 4px;
  }
}

.location_content_root_element {
  height: 60px;
  display: flex;
  width: 100%;
}

.location_content_root_country {
  margin-top: 10px;
}



.select_subc,
.select_order {
  font-size: 16px;
  width: 200px;
  padding: 10px;
  height: 53px;
}
.selected,
.selected_subc,
.selected_order,
.selected_money_country {
  background-color: var(--active_blue) !important;
  color: #fff;

}

.element_option {
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

div.select {
  display: flex;
  align-items: center;

  .div_img_option {
    margin-right: 5px;
  }

  span {
    overflow: hidden;
    text-overflow: ellipsis;
  }

  img {
    width: 30px;
    height: 30px;
  }
}

.spanlabel {
  user-select: none;
  color: #4949499a;
}


.btn_pagination {
  border-radius: 20pc;
  border: none;
  font-size: 14px;
  font-weight: 600;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  background-color: unset;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 40px;
  padding: 5px;
  border-radius: 5pc;
}

.btn_pagination:hover {
  background-color: var(--half_dark_background1);

}

#prev_button {
  background-image: var(--arrow-left);
}

#next_button {
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAACXBIWXMAAAsTAAALEwEAmpwYAAABXElEQVR4nO3YMUrEQBgF4B9EUUEUO9FbWIg2Nio2HsgbCBJCJO9lf3dxRSwkjZWVlVrYCF5B8AAWdioqK1soRHYLN4mZ98Hr87+EycyYiYiIiIiIiIiIiNRElmWLURRNWWgA7JB8JPlB8hXAsbvPWghILgN46Q//Pfftdnvemg7AacHwXwFw2+l0ZqzJSN78VkA/V+4+bU1FEgMK6OWy2+1OWlNXfpJPg0oAcJHn+YQ1EYA1ks9DfAnn7j5e2YO2Wq1VALsk9/46AK6HKKCXszzPx0ofnmQE4H3Ihxx1DksdPk3T7RoM/SNZlm2WVgDJg6oHLlgUk9IKAJDUsIC4zAK2qh64IBtWJpL7NVoE3aqQpulKsL/BUfo3G6FRSJJkKeitMEM/DDH04zCAk6AvRACsA3grKOAujuM5C+hS9KH/1nv3g0fBXIp+5+4LjV3sRERERERERERExKrwCVAeb2H7gov1AAAAAElFTkSuQmCC");
}

.btn_pagination:hover svg {
  fill: var(--svg_nav_color);
}

.data_text_offset {
  font-size: 18px;
}

.div_pagination {
  display: none;
  align-items: center;
  margin-top: 40px;
}

.div_pagination1 {
  display: flex;
  width: 200px;
  margin: auto;
  background-color: white;
  grid-gap: 10px;
  justify-content: center;
  padding-inline: 30px;
  padding-block: 10px;
  border-radius: 20pc;
  box-shadow: var(--box_shadow);
  align-items: center;
}



.label_click_button {
  user-select: none;
  cursor: pointer;
}

.not_required {
  outline: unset !important;
}

.btn_update_anuncio,
.float_opt_btn {

  border: none;
  background-color: inherit;
  border-radius: 40pc;
  width: fit-content;
}

.pack-option {
/*   display: grid;
  grid-template-columns:90% 40px;
  grid-column-start: 1;
  align-items: center; */
  display: flex;
  flex-wrap: nowrap;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.pack-option> :first-child {
  flex: 1;
}

/* .container {
  padding: unset !important;
} */

.money_price_anuncy {
  gap: 3px;
}

.btn_active {
  text-align: center;
  color: white;
  border: unset;
  border-radius: 5pc;
  padding-inline: 40px;
  text-wrap: nowrap;
  white-space: nowrap;
  padding-block: 10px;
  background-color: var(--active_blue);
  font-weight: 700;
  font-size: 15px;
  line-height: 24px;
  flex: 1;
  width: 100%;
  max-width: 300px;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.chat_image,
.smal_img_user {
  width: 30px;
  height: 30px;
  object-fit: cover;
  border-radius: 30pc;
}

.small_data {
  font-size: 10px;
  margin-top: 5px;
}

.modal-backdrop{
  display: none !important;
  visibility: hidden !important;
}


a.rounded{
  background-color:#fff;
  box-shadow: var(--box_shadow);
  padding: 10px;
  border-radius: 100% !important;
  display: flex;
}

.float-button-body{
  position: fixed;
  bottom: 0.5rem;
  padding-inline: 10px;
  left: 0;
}

.google-login {
  border-radius: 4px;
  box-sizing: border-box;
  transition: background-color .218s,border-color .218s;
  -moz-user-select: none;
  background-color: #fff;
  background-image: none;
  border: 1px solid #dadce0;
    border-top-color: rgb(218, 220, 224);
    border-right-color: rgb(218, 220, 224);
    border-bottom-color: rgb(218, 220, 224);
    border-left-color: rgb(218, 220, 224);
  color: #3c4043;
  cursor: pointer;
  font-family: "Google Sans",arial,sans-serif;
  font-size: 14px;
  height: 40px;
  letter-spacing: 0.25px;
  outline: none;
  overflow: hidden;
  padding: 0 12px;
  position: relative;
  text-align: center;
  vertical-align: middle;
  white-space: nowrap;
  width: auto;
}
.google-login:hover, .google-login:focus {
  box-shadow: none;
  border-color: rgb(210,227,252);
  outline: none;
}

.map_box {
  .leaflet-control-attribution a{
    display: none;
  }
}

.pack_pricy_money {
  & .money_country {
    padding-left: 45px;
  }
}

.nav_home_category {
  gap: 20px;
  margin-inline: auto;
  a {
      padding-block: 5px;
      user-select: none;
      border: solid 1px var(--alf_gray);
      border-radius: 5pc;
      padding-inline: 20px;
      color: #485059;
      font-weight: 600;
      text-wrap: nowrap;
  }

}
